Subject: bug#16587: 24.3.50; max-specpdl-size exceeded + crash with gnus (shr).

From: Lars Magne Ingebrigtsen <[email-masked]>
Date: Thu, 13 Nov 2014 21:57:35 +0100

Lars Ingebrigtsen <[email-masked]> writes:

> Uhm.  Bizarrely enough, I now get the max-specpdl-size exceeded message
> the first time I view the "HTML" message in question, but not subsequent
> times!  (Per Emacs session.)  That's totally weird.

Oh!  I see!  The first time I get the message, `max-specpdl-size' is
1300.  Then each time I get it, it increases by 200, until it's finally
large enough at 2100 to descend that deep.

Is this by sneaky design?

Anyway, I still have no real idea as to how to handle this.  Do a
stack-based "depth" investigation first to see how deep the DOM is, and
then refuse to render it if it's too deep?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no